/*******************************************************************************
* File Name: BC11_CPU_DUT_RESET_P4_3.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BC11_CPU_DUT_RESET_P4_3_ALIASES_H) /* Pins BC11_CPU_DUT_RESET_P4_3_ALIASES_H */
#define CY_PINS_BC11_CPU_DUT_RESET_P4_3_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define BC11_CPU_DUT_RESET_P4_3_0			(BC11_CPU_DUT_RESET_P4_3__0__PC)
#define BC11_CPU_DUT_RESET_P4_3_0_INTR	((uint16)((uint16)0x0001u << BC11_CPU_DUT_RESET_P4_3__0__SHIFT))

#define BC11_CPU_DUT_RESET_P4_3_INTR_ALL	 ((uint16)(BC11_CPU_DUT_RESET_P4_3_0_INTR))

#endif /* End Pins BC11_CPU_DUT_RESET_P4_3_ALIASES_H */


/* [] END OF FILE */
