/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "utils.h"

uint16_t halCommonCrc16(uint8_t newByte, uint16_t prevResult)
{
    prevResult = ((uint16_t) (prevResult >> 8)) | ((uint16_t) (prevResult << 8));
    prevResult ^= newByte;
    prevResult ^= (prevResult & 0xff) >> 4;
    prevResult ^= (uint16_t) (((uint16_t) (prevResult << 8)) << 4);

    prevResult ^= ((uint8_t) (((uint8_t) (prevResult & 0xff)) << 5)) |
        ((uint16_t) ((uint16_t) ((uint8_t) (((uint8_t) (prevResult & 0xff)) >> 3)) << 8));

    return prevResult;
}

/* [] END OF FILE */
