/*******************************************************************************
* File Name: OPTOMUX_SCL.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OPTOMUX_SCL_ALIASES_H) /* Pins OPTOMUX_SCL_ALIASES_H */
#define CY_PINS_OPTOMUX_SCL_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define OPTOMUX_SCL_0			(OPTOMUX_SCL__0__PC)
#define OPTOMUX_SCL_0_INTR	((uint16)((uint16)0x0001u << OPTOMUX_SCL__0__SHIFT))

#define OPTOMUX_SCL_INTR_ALL	 ((uint16)(OPTOMUX_SCL_0_INTR))

#endif /* End Pins OPTOMUX_SCL_ALIASES_H */


/* [] END OF FILE */
