/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#define UART_h
#include "cytypes.h"

/* Comm ports */
#define COMM_PORT_HOST  0
#define COMM_PORT_DUT   1

/* UART Speeds */
typedef enum {
  UartSpeed2400 = 0,
  UartSpeed4800 = 1,
  UartSpeed9600 = 2,
  UartSpeed19200 = 3,
  UartSpeed38400 = 4,
  UartSpeed57600 = 5,
  UartSpeed115200 = 6,
  UartSpeed230400 = 7,
  UartSpeed460800 = 8,
  UartSpeed921600 = 9,
  eNumUartSpeeds = 10
} eUartSpeed_t;

void serialwriteByte(uint8_t port, uint8_t data);
int16 GetUartClockDivider(eUartSpeed_t uartSpeed);

/* [] END OF FILE */
