/* ========================================
This is libary of UART ASCII functions for the aid of debugging.
 * ========================================
*/
#include "project.h"
#define debug_H
/* [] END OF FILE */
#define Debugmode 1
#define ShortDebugmode 1

//global functions
void DB_cout(uint8 val);
void DB_outf(float val);
void DB_out8x(uint8 val);
void DB_out16x(uint16 val);
void DB_out32x(uint32 val);
void DB_crlf();
void DB_cr();
void DB_space();
void DB_string(char *str);
void DB_errorString(char *str_ok,char *str_nok,int ok);
void DB_hexDump(uint8 *buff, uint16 cnt);


// local functions

static void out4x(uint8 val);
static void out8d(uint8 val);
static void out16d(uint16 val);
static void out32d(uint32 val);
