/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "debug.h"
#define I2C_add 0x2A

  _Bool I2C_1_Xfer_IP(void)
  {
    if(I2C_1_MasterStatus() == I2C_1_MSTAT_XFER_INP)
    {
      return 1;
    }
    else
    {
      return 0;
    }
  }



int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    I2C_1_Start();
    UARTDEBUG_Start();
    DB_crlf();
    DB_string("UartEnabled");
    uint8 x=0;
    uint8 buffer[128];
    for(;;)
    {
//        DB_string("T");
        if(UARTDEBUG_GetChar()>0)
        { 
          DB_string("Requesting char");
          DB_crlf();
          if(I2C_1_Xfer_IP()==0) // This should be superfluous but in case non blocking function has been used
          {
            I2C_1_MasterClearStatus();
           // I2C_1_MasterWriteBuf(I2C_add,&x,1,I2C_1_MODE_COMPLETE_XFER);
            
            I2C_1_MasterReadBuf(I2C_add,buffer,1,I2C_1_MODE_COMPLETE_XFER);
            while(I2C_1_Xfer_IP()); // wait for completion
          }
          DB_string("Rx complete:");
          DB_out8x(buffer[0]);
          DB_crlf();
          
          
          
        }  
         // CyDelay(1000);
        /* Place your application code here. */
    }
}



/* [] END OF FILE */
